Subject: bug#17464: 24.3.90; file-attributes/directory-files-and-attributes of cygwin build

From: Shigeru Fukaya <[email-masked]>
Date: Mon, 12 May 2014 03:11:59 +0900

>What is your value of locale-coding-system?  If it's nil, then your
>problem is likely outside Emacs: look at your LC_* and LANG variables
>to make sure they are set up correctly.

My locale-coding-system was nil.
Changing it to 'utf-8' makes IDs multibytes, thank you.

And all environment variables you mentioned were all nil.

When I run emacs from cygwin bash shell, which sets LANG to 'C.UTF-8'
and sets no LC_*, both IDs are made multibytes.

I'm running Emacs directly invoking runemacs througn BAT script.
I should have take some more appropriate way.

Anyway, sorry for annoyance.

-- Shigeru